Bug 239612 - [NEW PORT] graphics/R-cran-ggrepel: Automatically Position Non-Overlapping Text Labels
Summary: [NEW PORT] graphics/R-cran-ggrepel: Automatically Position Non-Overlapping Te...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://cran.r-project.org/web/packag...
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-08-03 09:56 UTC by Zsolt Udvari
Modified: 2020-03-08 17:19 UTC (History)
1 user (show)

See Also:


Attachments
patch (2.94 KB, patch)
2019-08-03 09:56 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2019-08-03 09:56:12 UTC
Created attachment 206232 [details]
patch

Provides text and label geoms for 'ggplot2' that help to avoid overlapping text labels. Labels repel away from each other and away from the data points.

Poudriere testport passed.
Comment 1 Zsolt Udvari 2019-09-13 14:25:13 UTC
Anyone?
Comment 2 Tobias C. Berner freebsd_committer 2020-03-08 16:53:43 UTC
Sorry, this has been overlooked for way to long, I get  on it.
Comment 3 Tobias C. Berner freebsd_committer 2020-03-08 17:18:31 UTC
Committed. Thanks.
Comment 4 commit-hook freebsd_committer 2020-03-08 17:19:13 UTC
A commit references this bug:

Author: tcberner
Date: Sun Mar  8 17:18:16 UTC 2020
New revision: 528059
URL: https://svnweb.freebsd.org/changeset/ports/528059

Log:
  New port: graphics/R-cran-ggrepel: Automatically Position Non-Overlapping Text Labels

  Provides text and label geoms for 'ggplot2' that help to
  avoid overlapping text labels. Labels repel away from each
  other and away from the data points.

  WWW: https://cran.r-project.org/web/packages/ggrepel/

  PR:		239612
  Submitted by:	Zsolt Udvari <uzsolt@uzsolt.hu>

Changes:
  head/graphics/Makefile
  head/graphics/R-cran-ggrepel/
  head/graphics/R-cran-ggrepel/Makefile
  head/graphics/R-cran-ggrepel/distinfo
  head/graphics/R-cran-ggrepel/pkg-descr